%define section   free
%define plexus_version   0.14
%define cvs_date   20040127

Name:           plexus-container
Version:        %{plexus_version}
Release:        0.cvs%{cvs_date}.1jpp
Epoch:          0
Summary:        Plexus Container

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://plexus.codehaus.org/
Source0:        plexus-container-cvs%{cvs_date}.tar.gz
# cvs -d :pserver:anonymous@cvs.codehaus.org:/scm/cvspublic login 
# cvs -z3 -d :pserver:anonymous@cvs.codehaus.org:/scm/cvspublic export -r HEAD plexus/plexus-container
Source1:        plexus-container_build.xml
Source2:        plexus-LICENSE.txt
Source3:        plexus-container-cvs20040127-doc.tar.gz
Patch0:         plexus-container.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4, junit >= 0:3.8.1
BuildRequires:  xstream >= 0:0.3
BuildRequires:  xpp3 >= 0:1.1.2
BuildRequires:  classworlds >= 0:1.0
BuildRequires:  asm >= 0:1.4.1
Requires:  xstream >= 0:0.3
Requires:  xpp3 >= 0:1.1.2
Requires:  classworlds >= 0:1.0
Requires:  asm >= 0:1.4.1

%description
Plexus container


%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.

%prep
%setup -q -n %{name}-cvs%{cvs_date}
cp %{SOURCE1} build.xml
cp %{SOURCE2} LICENSE.txt
gzip -dc %{SOURCE3} | tar -xf -

%patch0

%build
export CLASSPATH=$(build-classpath \
asm/asm \
classworlds \
xpp3 \
xstream \
junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only dist

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/plexus-0.14-SNAPSHOT.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%ghost %doc %{_docdir}/%{name}


%changelog
* Fri Feb 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.14-0.cvs20040127.1jpp
- First JPackage release
